<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from uncprb_getobjfcn.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="uncprb_getobjfcn" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>uncprb_getobjfcn</refname><refpurpose>Returns the function value.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   f=uncprb_getobjfcn(n,m,x,nprob)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n:</term>
      <listitem><para> the number of variables, i.e. the size of x</para></listitem></varlistentry>
   <varlistentry><term>m:</term>
      <listitem><para> the number of functions, i.e. the size of fvec</para></listitem></varlistentry>
   <varlistentry><term>x:</term>
      <listitem><para> a n x 1 matrix of doubles, the point where to compute f</para></listitem></varlistentry>
   <varlistentry><term>nprob:</term>
      <listitem><para> the problem number</para></listitem></varlistentry>
   <varlistentry><term>f:</term>
      <listitem><para> a 1x1 matrix of doubles, the function value</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
It is an interface function which calls the function func(which selects
appropriate test fuction based on nprob) to return fvec, then it
calculates the objective function by fvec'*fvec.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Get function value at x0 for Rosenbrock's test case
nprob = 1
[n,m,x0]=uncprb_getinitf(nprob)
f = uncprb_getobjfcn(n,m,x0,nprob)

// Check function value at x* for Rosenbrock's test case
[fopt,xopt] = uncprb_getopt(nprob,n,m)
f = uncprb_getobjfcn(n,m,xopt,nprob)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2010 - DIGITEO</member>
   <member>Scilab port: 2000-2004, Benoit Hamelin, Jean-Pierre Dussault</member>
   <member>Matlab port: 1994, Chaya Gurwitz, Livia Klein, Madhu Lamba</member>
   <member>Fortran 77: 1981, More, Garbow, Hillstrom</member>
   </simplelist>
</refsection>
</refentry>
